/*
 * Copyright 2017 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.android.finsky.externalreferrer;

/**
 * An API to get install referrer.
 */
interface IGetInstallReferrerService {
 /**
  * Get install referrer.
  *
  * @param arguments Bundle contains Caller’s package name.
  *     key: "package_name" value: string
  *         The package name of the caller, used for disambiguation.
  * @return The returned Bundle contains the following:
  * <pre>
  *     key: "install_referrer" value: string
  *         The referrer url of the installed package
  *     key: "referrer_click_timestamp" value: long
  *         The timestamp in milliseconds when referrer click happens
  *     key: "install_begin_timestamp" value: long
  *         The timestamp in milliseconds when installation begins
  * </pre>
  */
 Bundle getInstallReferrer(in Bundle paramaters);
}